KDE 4.7 PyKDE API Reference

- KDE's Python API

# KUriFilterSearchProvider Class Reference

`from PyKDE4.kio import *`

## Detailed Description

Class that holds information about a search provider.

Since:
  4.6

## Methods
| __init__ (self)
| __init__ (self, KUriFilterSearchProvider a0)
QString | defaultKey (self)
QString | desktopEntryName (self)
QString | iconName (self)
QStringList | keys (self)
QString | name (self)
| setDesktopEntryName (self, QString a0)
| setIconName (self, QString a0)
| setKeys (self, QStringList a0)
| setName (self, QString a0)

## Method Documentation

__init__ | ( |  | self ) |

Copy constructor.

__init__ | ( | self, |
|  | KUriFilterSearchProvider | a0
| ) |  |  |

Copy constructor.

QString defaultKey | ( |  | self ) |

Returns the default web shortcut key for this search provider.

Right now this is the same as doing keys().first(), it might however change based on what the backend plugins do.

See also:
  keys

QString desktopEntryName | ( |  | self ) |

Returns the desktop filename of the search provider without any extension.

For example, if the desktop filename of the search provider was "foobar.desktop", this function will return "foobar".

QString iconName | ( |  | self ) |

Returns the icon name associated with the search provider when available.

QStringList keys | ( |  | self ) |

Returns all the web shortcut keys associated with this search provider.

See also:
  defaultKey

QString name | ( |  | self ) |

Returns the descriptive name of the search provider, e.g. "Google News".

This name comes from the "Name=" property entry in the desktop file that contains the search provider's information.

setDesktopEntryName | ( | self, |
|  | QString | a0
| ) |  |  |

setIconName | ( | self, |
|  | QString | a0
| ) |  |  |

setKeys | ( | self, |
|  | QStringList | a0
| ) |  |  |

setName | ( | self, |
|  | QString | a0
| ) |  |  |